Eule::Collider Class Referenceabstract

Abstract class of a collider domain. More...

`#include <Collider.h>`

Inheritance diagram for Eule::Collider:
[legend]

## Public Member Functions

virtual bool | Contains (const Vector3d &point) const =0
| Tests, if this Collider contains a point. More...

## Detailed Description

Abstract class of a collider domain.

Specializations describe a shape in 3d space, and provide implementations of the methods below, for their specific shape. Examples could be a SphereCollider, a BoxCollider, etc...

Definition at line 10 of file Collider.h.

## Member Function Documentation

## Contains()

virtual bool Eule::Collider::Contains | ( | const Vector3d & | point | ) | const

pure virtual

Tests, if this Collider contains a point.

Implemented in Eule::TrapazoidalPrismCollider.

The documentation for this class was generated from the following file:

- Eule/Collider.h